/*
 * Implementation of WLS.h
 *
 * Erstellt:	05.01.2021
 * Autor: 		Flo Smilari
 */


#include "WLS.h"

WLS::WLS(int pin) :
		WLS(pin, false) {
}

WLS::WLS(int pin, bool _inverted) :
		ezButton(pin) {
	inverted = _inverted;
}


bool WLS::isPlugged(void) {
	if (inverted)
		return isReleased();
	else
		return isPressed();
}

bool WLS::isUnplugged(void) {
	if (inverted)
		return isPressed();
	else
		return isReleased();
}


